## Apache Zeta Components Manual :: Docs For Class ezcDocumentPdfFooterPdfPart

### Document::ezcDocumentPdfFooterPdfPart

### Class ezcDocumentPdfFooterPdfPart

Basic foot class, which renders a simple page footer including information from the document.

Configured using the ezcDocumentPdfFooterOptions options class.

A footer, or any other PDF part, can be registered for rendering in the main PDF class using the registerPdfPart() method, like:

1. $pdf=new ezcDocumentPdf ();
3. // Add a customized footer
4. $pdf->registerPdfPart(new ezcDocumentPdfFooterPdfPart (
5. new ezcDocumentPdfFooterOptions (array(
6. 'showDocumentTitle'=>false,
7. 'showDocumentAuthor'=>false,
8. 'height'=>'10mm',
9. ) )
10. ) );
12. $pdf->createFromDocbook($docbook);
13. file_put_contents (__FILE__ .'.pdf',$pdf);

Source for this file: /Document/src/document/pdf/part/footer.php

    ezcDocumentPdfPart
       |
       --ezcDocumentPdfFooterPdfPart

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcDocumentPdfHeaderPdfPart | Just an alias for the footer class, but will be positioned on the top of a page by default.

### Member Variables

protected DOMDocument | `$document` Reference to rendered document
protected mixed | `$documentAuthor` Extracted author information
protected mixed | `$documentTitle` Extracted title information
protected ezcDocumentPdfFooterOptions | `$options` Options of footer

### Inherited Member Variables

From ezcDocumentPdfPart
protected | `ezcDocumentPdfPart::$driver`
protected | `ezcDocumentPdfPart::$renderer`
protected | `ezcDocumentPdfPart::$styles`

### Method Summary

public ezcDocumentPdfFooterPdfPart | `__construct( [ $options = null] )` Create a new footer PDF part
public void | `hookDocumentCreation( $element )` Hook on document creation
public void | `hookPageCreation( $page )` Hook on page creation

### Inherited Methods

From ezcDocumentPdfPart
public void | `ezcDocumentPdfPart::hookDocumentCreation()` Hook on document creation
public void | `ezcDocumentPdfPart::hookDocumentRendering()` Hook on document rendering
public void | `ezcDocumentPdfPart::hookPageCreation()` Hook on page creation
public void | `ezcDocumentPdfPart::hookPageRendering()` Hook on page rendering
public void | `ezcDocumentPdfPart::registerContext()` Registration function called by the renderer.

### Methods

#### __construct

ezcDocumentPdfFooterPdfPart __construct( [ezcDocumentPdfFooterOptions $options = null] )

Create a new footer PDF part

##### Parameters:

Name | Type | Description
--- | --- | ---
`$options` | ezcDocumentPdfFooterOptions |

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcDocumentPdfHeaderPdfPart::__construct()` | Create a new footer PDF part.

#### hookDocumentCreation

void hookDocumentCreation( $element )

Hook on document creation

Hook called when a new document is created.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$element` | ezcDocumentLocateableDomElement |

##### Redefinition of:

Method | Description
--- | ---
`ezcDocumentPdfPart::hookDocumentCreation()` | Hook on document creation

#### hookPageCreation

void hookPageCreation( $page )

Hook on page creation

Hook called on page creation, so that certain areas might be reserved or it already may render stuff on the frshly created page.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$page` | ezcDocumentPdfPage |

##### Redefinition of:

Method | Description
--- | ---
`ezcDocumentPdfPart::hookPageCreation()` | Hook on page creation

Documentation generated by phpDocumentor 1.4.3